#
# spec file for package concurrentlinkedhashmap-lru
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global upstream_name concurrentlinkedhashmap-concurrentlinkedhashmap-lru

Name:           concurrentlinkedhashmap-lru
Version:        1.3.2
Release:        6.40
License:        Apache-2.0
Summary:        A high performance version of java.util.LinkedHashMap
URL:            http://code.google.com/p/concurrentlinkedhashmap
Group:          Development/Libraries/Java
Source0:        %{upstream_name}-%{version}.tar.gz
Patch0:         0001-compilerArguments-is-deprecated.patch
BuildRequires:  fdupes
BuildRequires:  maven-local
%if 0%{?rhel} >= 9
BuildRequires:  xmvn-tools
BuildRequires:  xmvn-minimal
%endif
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       java

%description
A high performance version of java.util.LinkedHashMap for use as a software cache

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n "%{upstream_name}-%{version}"
%patch0 -p1

find \( -name '*.jar' -o -name '*.class' \) -delete

%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-svn']]"
%pom_remove_parent

%build
%mvn_build -s -f -- \
    -Dmaven.compiler.release=8 \
    -Dsource=8

%install
%mvn_install
%fdupes -s %{buildroot}%{_javadocdir}

%files -f .mfiles-concurrentlinkedhashmap-lru

%files javadoc -f .mfiles-javadoc

%changelog
* Sat Jun  4 2022 Michael Calmer <mc@suse.com>
- update to version 1.3.2 (jsc#SLE-23217)
  * Replaced source for jcip annotations with the jsr305 dependency
  * Minor optimizations and clean-up
- Update: 0001-compilerArguments-is-deprecated.patch
* Mon Oct 12 2015 smoioli@suse.com
- Initial version
